maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dan Tran" <dant...@gmail.com>
Subject Re: pde-plugin question
Date Wed, 21 Feb 2007 17:41:30 GMT
pde-maven-plugin is  just an wrapper of PDE headless ant build.  you can add
additional PDE setting via buildProperties

http://mojo.codehaus.org/pde-maven-plugin/pde-mojo.html

-D


On 2/21/07, Sebastien Pennec <sebastien@qos.ch> wrote:
>
> Hi all,
>
> I've been having a strange error when developing a plugin that uses JDK
> 1.5: the
> compilation fails because its target is JDK 1.3.
>
> My pom.xml contains only a simple pde-plugin declaration, like this:
>
>   <build>
>     <plugins>
>       <plugin>
>         <groupId>org.codehaus.mojo</groupId>
>         <artifactId>pde-maven-plugin</artifactId>
>         <extensions>true</extensions>
>         <configuration>
>           <eclipseInstall>${path.to.eclipse}</eclipseInstall>
>         </configuration>
>       </plugin>
>     </plugins>
>   </build>
>
> I've tried to add a maven-compile-plugin declaration to specify JDK 1.5but that does
> not change anything.
>
> Does anybody here use the PDE plugin with JDK 1.5?
>
> Thanks for any help :)
>
> S├ębastien
>
> --
> S├ębastien Pennec
> sebastien@qos.ch
>
> Logback: The reliable, generic, fast and flexible logging framework for
> Java.
> http://logback.qos.ch/
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
> For additional commands, e-mail: users-help@maven.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message